package common.init;

import common.color.Colorizer;

public enum WoodType {
    OAK("oak", "Eichen", null, 20, "apple"),
    SPRUCE("spruce", "Fichten", Colorizer.PINE, 20),
    BIRCH("birch", "Birken", Colorizer.BIRCH, 20),
    JUNGLE("jungle", "Tropen", null, 40),
    ACACIA("acacia", "Akazien", null, 20),
    DARK_OAK("dark_oak", "Schwarzeichen", null, 20),
    CHERRY("cherry", "Kirsch", Colorizer.NONE, 20),
    MAPLE("maple", "Ahorn", Colorizer.NONE, 20),
    TIAN("tian", "Tian", Colorizer.NONE, 80),
    BLACKWOOD("blackwood", "Schwarz", Colorizer.NONE, 60);
	
	private final String name;
	private final Colorizer tintType;
	private final int sapChance;
	private final String item;
	private final String display;

	private WoodType(String name, String display, Colorizer tint, int sapChance) {
		this(name, display, tint, sapChance, null);
	}

	private WoodType(String name, String display, Colorizer tint, int sapChance, String item) {
		this.name = name;
		this.tintType = tint;
		this.sapChance = sapChance;
		this.item = item;
		this.display = display;
	}

	public Colorizer getTintType() {
		return this.tintType;
	}

	public int getSaplingChance() {
		return this.sapChance;
	}

	public String toString() {
		return this.name;
	}

	public String getName() {
		return this.name;
	}

	public String getDisplay() {
		return this.display;
	}

	public String getItem() {
		return this.item;
	}

	public static String[] getNames(String suffix) {
		String[] str = new String[values().length];
		for(int z = 0; z < str.length; z++) {
			str[z] = values()[z].name + "_" + suffix;
		}
		return str;
	}
}